Class UmlBaseCallBehaviorAction

Declaration :

- C++ : class UmlBaseCallBehaviorAction : public UmlActivityAction
- Java : abstract class UmlBaseCallBehaviorAction extends UmlActivityAction

Directly inherited by : UmlCallBehaviorAction

Artifact : UmlBaseActivityActionClasses

Operation create

returns a new call behavior action named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlCallBehaviorAction, exceptions : RuntimeException
- C++ : public: static UmlCallBehaviorAction * create(UmlItem * parent, const char * s)
- Java : public static UmlCallBehaviorAction create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseCallBehaviorAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseCallBehaviorAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseCallBehaviorAction(void * id, const QCString & s) : UmlActivityAction(id, s)
- Java : protected UmlBaseCallBehaviorAction(long id, String s)

Operation isSynchronous

return the isSynchronous attribute, if TRUE the caller waits for the completion of the invoked behavior

Declaration :

- Uml : + isSynchronous() : bool
- C++ : public: bool isSynchronous()
- Java : public boolean isSynchronous()

Operation set_isSynchronous

set the isSynchronous attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isSynchronous(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isSynchronous(bool v)
- Java : public void set_isSynchronous(boolean v) throws RuntimeException

Operation behavior

return the behavior, may be an activity or a state machine

Declaration :

- Uml : + behavior() : UmlItem
- C++ : public: UmlItem * behavior()
- Java : public UmlItem behavior()

Operation set_Behavior

set the behavior
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Behavior(in v : UmlItem) : bool, exceptions : RuntimeException
- C++ : public: bool set_Behavior(UmlItem * v)
- Java : public void set_Behavior(UmlItem v) throws RuntimeException

Attribut _synchronous

Declaration :

- Uml : - _synchronous : bool
- C++ : private: bool _synchronous
- Java : private boolean _synchronous

Relation _behavior (<unidirectional association>)

Declaration :

- Uml : - _behavior : UmlItem
- C++ : private: UmlItem * _behavior
- Java : private UmlItem _behavior

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

All public operations : apply , associatedDiagram , behavior , children , childrenVisible , cppPostCondition , cppPreCondition , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isSynchronous , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_Behavior , set_childrenVisible , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_isSynchronous , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload